Bug 136661 - CAN-2001-1413 Stack-based buffer overflow in the comprexx function
Summary: CAN-2001-1413 Stack-based buffer overflow in the comprexx function
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: ncompress   
(Show other bugs)
Version: 2.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Vrabec
QA Contact: Ben Levenson
URL:
Whiteboard: impact=moderate,public=20011120
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-21 15:15 UTC by Josh Bressers
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-13 19:31:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:536 normal SHIPPED_LIVE Moderate: ncompress security update 2004-12-13 05:00:00 UTC

Description Josh Bressers 2004-10-21 15:15:48 UTC
A stack-based buffer overflow in the comprexx function for ncompress
4.2.4 and earlier exists.

When used in situations that cross security boundaries (such as FTP
server), may allow remote attackers to execute arbitrary code via a
long filename argument.

This will be fixed in U6 as RHSA-2004:536

Comment 1 John Flanagan 2004-12-13 19:31:30 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-536.html



Note You need to log in before you can comment on or make changes to this bug.